#pragma once
#include <stdbool.h>

#define COLOR_RED     "\x1b[31m"
#define COLOR_BOLD    "\x1b[1m"
#define COLOR_BLUE    "\x1b[34m"
#define COLOR_CYAN    "\x1b[36m"
#define COLOR_GREEN   "\x1b[32m"
#define COLOR_MAGENTA  "\x1b[35m"
#define COLOR_UNDERLINE "\x1b[4m"
#define COLOR_RESET     "\x1b[0m"

void bar_init();
bool bar(float, float);
void bar_free();

void info(const char *, ...);
void error(const char *, ...);
void details(const char *, ...);
void success(const char *, ...);
void debug(const char *, ...);
void input(const char *, ...);
bool yesno(const char *);
