#pragma once
#include "util.h"
#include <stdbool.h>
#include <stddef.h>

typedef struct target {
  struct target *next;
  clist_t
    requires;
  char *name;
  char *desc;
  char *src;
  char *dst;
} target_t;

typedef struct config {
  target_t *t_first;
  target_t *t_last;

  char   *name;
  char   *author;
  clist_t keywords;
} config_t;

bool config_load(config_t *, char *);
void config_free(config_t *);
