#include <string.h>
#include <sys/stat.h>

#include "env.h"
#include "paths.h"
#include "util.h"

char *mc_lock_path;
char *mc_tmp_path;
char *mc_root;
char *mc_dir;

char *append_root(char *pth) {
  char fp[strlen(mc_root) + strlen(pth) + 10];
  join(fp, mc_root, pth);
  return strdup(fp);
}

bool paths_load() {
  mc_root = env_mc_root();
  if (!exists(mc_root) || !is_dir(mc_root))
    return false;

  mc_dir       = append_root(MC_DIR);
  mc_lock_path = append_root(LOCK_PATH);
  mc_tmp_path  = append_root(TMP_PATH);

  if (!mksubdirsp(mc_dir, 0700))
    return false;
  return true;
}
